package com.openkm.select.values;

import java.util.ArrayList;
import java.util.List;

import com.openkm.api.OKMAuth;
import com.openkm.bean.form.*;


public class ListClass implements OptionSelectValues {
	@Override
	public List<Option> getOptions() {
		List<Option> options = new ArrayList<Option>();
		try {
			List<String> userList = OKMAuth.getInstance().getUsers(null);
			for (String user : userList) {
				Option option = new Option();
				option.setLabel(OKMAuth.getInstance().getName(null, user));
				option.setValue(user);
				options.add(option);
				System.out.println(OKMAuth.getInstance().getMail(null, user));
				System.out.println(OKMAuth.getInstance().getName(null, user));
			}
			
		} catch (Exception e) {
			System.out.println("Exception occured: " + e.getMessage());
		}
		return options;
	}
}
